Bug 1290248 - [abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
[abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1f256cfaa19a24e56401c974a52...
:
: 1305274 1315103 1315496 1317250 1317760 1317762 1319381 1323449 1325691 1360992 1362136 1374540 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 17:49 EST by Christian Stadelmann
Modified: 2016-12-20 11:51 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.84 KB, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: core_backtrace (12.62 KB, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: dso_list (20.37 KB, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: maps (92.16 KB, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: open_fds (136 bytes, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-12-09 17:49 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-12-09 17:49:20 EST
Version-Release number of selected component:
kwin-5.5.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at ../../src/kcrash.cpp:431

Potential duplicate: bug 1284149
Comment 1 Christian Stadelmann 2015-12-09 17:49:27 EST
Created attachment 1104174 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-12-09 17:49:29 EST
Created attachment 1104175 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-12-09 17:49:30 EST
Created attachment 1104176 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-12-09 17:49:32 EST
Created attachment 1104177 [details]
File: limits
Comment 5 Christian Stadelmann 2015-12-09 17:49:34 EST
Created attachment 1104178 [details]
File: maps
Comment 6 Christian Stadelmann 2015-12-09 17:49:36 EST
Created attachment 1104179 [details]
File: namespaces
Comment 7 Christian Stadelmann 2015-12-09 17:49:37 EST
Created attachment 1104180 [details]
File: open_fds
Comment 8 Christian Stadelmann 2015-12-09 17:49:39 EST
Created attachment 1104181 [details]
File: proc_pid_status
Comment 9 Christian Stadelmann 2015-12-11 04:58:44 EST
Another user experienced a similar problem:

I ran kwin in a gnome+wayland session by running

export $(dbus-launch)
kwin_wayland --xwayland --windowed

as described in https://community.kde.org/KWin/Wayland#Starting_a_nested_KWin

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_wayland --xwayland --windowed
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_wayland
kernel:         4.2.6-301.fc23.x86_64
package:        kwin-wayland-5.5.0-1.fc23
reason:         kwin_wayland killed by SIGSEGV
runlevel:       N 5
type:           CCpp
Comment 10 Christian Stadelmann 2015-12-11 04:59:44 EST
Another user experienced a similar problem:

I ran kwin in a gnome+wayland session by running

export $(dbus-launch)
kwin_wayland --xwayland --windowed

as described in https://community.kde.org/KWin/Wayland#Starting_a_nested_KWin

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwin_wayland --crashes 17
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_wayland
kernel:         4.2.6-301.fc23.x86_64
package:        kwin-wayland-5.5.0-1.fc23
reason:         kwin_wayland killed by SIGABRT
runlevel:       N 5
type:           CCpp
Comment 11 J. Randall Owens 2015-12-13 14:28:25 EST
Another user experienced a similar problem:

All I did at that particular moment was click on an unloaded Firefox tab. Could be related to RPMFusion xorg drivers, I suppose, in which case I know about what to expect.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     14131
kernel:         4.2.6-301.fc23.x86_64
package:        kwin-5.5.0-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1024
Comment 12 Christian Stadelmann 2015-12-13 15:19:20 EST
This issue keeps recurring every ~2 seconds, even with the last kwin session closed.
Comment 13 ND 2015-12-22 08:27:44 EST
Another user experienced a similar problem:

I opened firefox and then all windows were re-built.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 10135d4d8d0000145070744600000020250001_1450708849_407104
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     2127
kernel:         4.2.7-300.fc23.x86_64
package:        kwin-5.5.0-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1004
Comment 14 JB 2016-01-02 08:19:38 EST
Another user experienced a similar problem:

Right click system tray -> Settings -> General -> toggle Miscellaneous -> Apply

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1028c1d320b210000145168652900000021130000_1451711549_72092
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     2438
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.0-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 lixun.dlut 2016-01-03 19:04:09 EST
Another user experienced a similar problem:

when I close or setting windows, this program is very easy to crash

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1833
kernel:         4.2.7-300.fc23.x86_64
package:        kwin-5.5.0-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 JB 2016-01-03 21:54:44 EST
Another user experienced a similar problem:

Switched out of fullscreen VLC

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1028c1d320b210000145177275900000023610000_1451831367_338988
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     2175
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.0-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Paulo Fidalgo 2016-01-04 07:15:46 EST
Another user experienced a similar problem:

I was dragging one window (GITK program) with the mouse to another part on screen.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     27690
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.1-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 DeepPurpleFedora 2016-01-11 11:16:44 EST
Another user experienced a similar problem:

I loged in

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1018a13714811f000144781432200000015890000_1452410542_587561
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1625
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.1-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Christian Stadelmann 2016-01-13 17:48:44 EST
Still present on plasma 5.5.3-4.fc23
Comment 20 DeepPurpleFedora 2016-01-19 10:45:19 EST
Another user experienced a similar problem:

I had Thunderbird check my email.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1018a13714811f000144781432200000015890000_1452410542_587561
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1609
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.1-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 DeepPurpleFedora 2016-01-21 09:54:47 EST
Another user experienced a similar problem:

I was taking notes in libreoffice writer when suddenly my entire machine froze forcing me to do a hard restart afterward I got the error.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1018a13714811f000144781432200000015890000_1452410542_587561
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1579
kernel:         4.2.8-300.fc23.x86_64
package:        kwin-5.5.1-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Christian Stadelmann 2016-02-06 10:18:12 EST
*** Bug 1305274 has been marked as a duplicate of this bug. ***
Comment 23 JB 2016-03-06 13:00:13 EST
*** Bug 1315103 has been marked as a duplicate of this bug. ***
Comment 24 Krzysztof 2016-03-07 17:43:21 EST
*** Bug 1315496 has been marked as a duplicate of this bug. ***
Comment 25 Christian Nourry 2016-03-13 06:23:51 EDT
*** Bug 1317250 has been marked as a duplicate of this bug. ***
Comment 26 Christian Nourry 2016-03-15 02:56:34 EDT
*** Bug 1317760 has been marked as a duplicate of this bug. ***
Comment 27 Christian Nourry 2016-03-15 03:07:11 EDT
*** Bug 1317762 has been marked as a duplicate of this bug. ***
Comment 28 Ed Greshko 2016-03-19 02:11:12 EDT
Similar problem has been detected:

This happens for me on almost every login to a KDE session after starting a GUI application such as Thunderbird

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        kwin_x11 -session 10d2ce696d000145232257200000056460001_1452322603_379704
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     11556
kernel:         4.4.5-300.fc23.x86_64
package:        kwin-5.5.5-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1029
Comment 29 Christian Nourry 2016-03-19 02:53:00 EDT
*** Bug 1319381 has been marked as a duplicate of this bug. ***
Comment 30 Krzysztof 2016-03-19 17:35:06 EDT
Similar problem has been detected:

In the google chrome - the same like in many other applications - when "save as" window for downloaded file is opening, this error report is appearing. 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        kwin_x11 -session 106b3200000145797202500000015090002_1458339338_152766
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     2025
kernel:         4.4.5-300.fc23.x86_64
package:        kwin-5.5.5-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 31 Krzysztof 2016-04-03 03:56:53 EDT
*** Bug 1323449 has been marked as a duplicate of this bug. ***
Comment 32 Kornilios Tekakis 2016-04-10 13:35:20 EDT
*** Bug 1325691 has been marked as a duplicate of this bug. ***
Comment 33 Raju Kamalla 2016-07-28 02:24:27 EDT
*** Bug 1360992 has been marked as a duplicate of this bug. ***
Comment 34 Raju Kamalla 2016-08-01 07:13:38 EDT
*** Bug 1362136 has been marked as a duplicate of this bug. ***
Comment 35 JB 2016-09-08 20:23:12 EDT
*** Bug 1374540 has been marked as a duplicate of this bug. ***
Comment 36 Fedora End Of Life 2016-11-24 09:07:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 37 Fedora End Of Life 2016-12-20 11:51:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.